Package org.eclipse.emf.cdo.view

## Class CDOStaleReferencePolicy.DynamicProxy.Enhanced

- java.lang.Object
- - org.eclipse.emf.cdo.view.CDOStaleReferencePolicy.DynamicProxy
  - - org.eclipse.emf.cdo.view.CDOStaleReferencePolicy.DynamicProxy.Enhanced

- All Implemented Interfaces:
    `CDOObjectHandler`, `CDOStaleReferencePolicy`
  Enclosing class:
    CDOStaleReferencePolicy.DynamicProxy

      public static class CDOStaleReferencePolicy.DynamicProxy.Enhanced
      extends CDOStaleReferencePolicy.DynamicProxy
      implements CDOObjectHandler

  A `dynamic proxy stale reference policy` with advanced `type` computation and caching.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.view.CDOStaleReferencePolicy.DynamicProxy

      `CDOStaleReferencePolicy.DynamicProxy.Enhanced`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOStaleReferencePolicy

      `CDOStaleReferencePolicy.DynamicProxy`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.view.CDOStaleReferencePolicy

      `DEFAULT, EXCEPTION, PROXY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Enhanced​(CDOView view)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `protected org.eclipse.emf.ecore.EClassifier` | `getType​(org.eclipse.emf.ecore.EObject source, org.eclipse.emf.ecore.EStructuralFeature feature, int index, CDOID target)` |
    `void` | `objectStateChanged​(CDOView view, CDOObject object, CDOState oldState, CDOState newState)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.view.CDOStaleReferencePolicy.DynamicProxy

      `processStaleReference, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Enhanced

          public Enhanced​(CDOView view)

  - ### Method Detail

    - #### dispose

          public void dispose()

    - #### objectStateChanged

          public void objectStateChanged​(CDOView view,
                                         CDOObject object,
                                         CDOState oldState,
                                         CDOState newState)

      Specified by:
        `objectStateChanged` in interface `CDOObjectHandler`

    - #### getType

          protected org.eclipse.emf.ecore.EClassifier getType​(org.eclipse.emf.ecore.EObject source,
                                                              org.eclipse.emf.ecore.EStructuralFeature feature,
                                                              int index,
                                                              CDOID target)

      Overrides:
        `getType` in class `CDOStaleReferencePolicy.DynamicProxy`